'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-4fc2d14d.js');

function format(first, middle, last) {
  return (first || '') + (middle ? ` ${middle}` : '') + (last ? ` ${last}` : '');
}

const myComponentCss = ":host{display:block}";

const MyComponent = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.type = undefined;
    this.first = undefined;
    this.middle = undefined;
    this.last = undefined;
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return index.h("div", null, index.h("h2", null, "Hello ", index.h("span", { style: { color: 'red' } }, this.type), " APP"), index.h("div", null, "Hello, World! I'm ", this.getText()));
  }
};
MyComponent.style = myComponentCss;

exports.my_component = MyComponent;

//# sourceMappingURL=my-component.cjs.entry.js.map